Welcome to mirror list, hosted at ThFree Co, Russian Federation.

gitlab.com/gitlab-org/gitlab-foss.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGitLab Bot <gitlab-bot@gitlab.com>2022-02-16 21:14:47 +0300
committerGitLab Bot <gitlab-bot@gitlab.com>2022-02-16 21:14:47 +0300
commit5e65d4f6c601e6636d171dbf8586949fedc334d7 (patch)
tree68377df58b2318fedd44affaf29e59ec436e6a71 /scripts/rspec_helpers.sh
parent5382b5cdc41d11fc50c47e226c48660aa0ddff55 (diff)
Add latest changes from gitlab-org/gitlab@master
Diffstat (limited to 'scripts/rspec_helpers.sh')
-rw-r--r--scripts/rspec_helpers.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/scripts/rspec_helpers.sh b/scripts/rspec_helpers.sh
index 38952b7cadf..af09d6d0edd 100644
--- a/scripts/rspec_helpers.sh
+++ b/scripts/rspec_helpers.sh
@@ -279,7 +279,8 @@ function rspec_paralellized_job() {
# Experiment to retry failed examples in a new RSpec process: https://gitlab.com/gitlab-org/quality/team-tasks/-/issues/1148
if [[ $rspec_run_status -ne 0 ]]; then
if [[ "${RETRY_FAILED_TESTS_IN_NEW_PROCESS}" == "true" ]]; then
- $rspec_run_status=$(retry_failed_rspec_examples)
+ retry_failed_rspec_examples
+ rspec_run_status=$?
fi
else
echosuccess "No examples to retry, congrats!"
@@ -310,7 +311,7 @@ function retry_failed_rspec_examples() {
# Merge the JUnit report from retry into the first-try report
junit_merge "${JUNIT_RETRY_FILE}" "${JUNIT_RESULT_FILE}"
- return $rspec_run_status
+ exit $rspec_run_status
}
function rspec_rerun_previous_failed_tests() {